<!--  -->
<template>
    <el-dialog
        width="80%"
        class=""
        title="导出"
        @close="closeModal"
        append-to-body
        :close-on-click-modal="false"
        :append-to-body="true"
        v-model="showExportDialog">
        <div :style="{'height': dialogHeight + 'px'}">
            <iframe :src="'/demo/reportJsp/showReport.jsp?rpx=js_TAC_PBLM_WORD.rpx&width=1526&height=592' + '&problemId=' + problemId + '&name=' + name" frameborder="0" width="100%" height="100%" style="overflow: auto"></iframe>
        </div>
    </el-dialog>
</template>

<script>
//这里可以导入其他文件（比如：组件，工具js，第三方插件js，json文件，图片文件等等）
//例如：import 《组件名称》 from '《组件路径》';

export default {
    //import引入的组件需要注入到对象中才能使用
    props:['problemId','professionType'],
    components: {},
    data() {
    //这里存放数据
        return {
            showExportDialog: true,
            dialogHeight:window.innerHeight - 300,
            name: '前期与设计'
        };
    },
    //监听属性 类似于data概念
    computed: {},
    //监控data中的数据变化
    watch: {
        currentNodeId(n,o){
            this.currentNodeId = n;
        },
        listType(n,o){
            this.listType = n;
        }
    },
    //方法集合
    methods: {
        closeModal(){
            this.$emit('dialogClose')
        }
    },
    //生命周期 - 创建完成（可以访问当前this实例）
    created() {
        let n = this.professionType
        if(n == '1'){
            this.rpx = 'js_TAC_FINAL_WORD1'
            this.name = '前期与设计'
        }else if(n == '2'){
            this.rpx = 'js_TAC_FINAL_WORD2'
            this.name = '建设管理'
        }else if(n == '3'){
            this.rpx = 'js_TAC_FINAL_WORD3'
            this.name = '计划下达与执行'
        }else if(n == '4'){
            this.rpx = 'js_TAC_FINAL_WORD4'
            this.name = '资金使用与管理'
        }else if(n == '5'){
            this.rpx = 'js_TAC_FINAL_WORD5'
            this.name = '工程质量'
        }else if(n == '6'){
            this.rpx = 'js_TAC_FINAL_WORD6'
            this.name = '工程安全'
        }

    },
    //生命周期 - 挂载完成（可以访问DOM元素）
    mounted() {

    },
    beforeCreate() {}, //生命周期 - 创建之前
    beforeMount() {}, //生命周期 - 挂载之前
    beforeUpdate() {}, //生命周期 - 更新之前
    updated() {}, //生命周期 - 更新之后
    beforeDestroy() {}, //生命周期 - 销毁之前
    destroyed() {}, //生命周期 - 销毁完成
    activated() {}, //如果页面有keep-alive缓存功能，这个函数会触发
}
</script>
<style scoped>

</style>
